Subject: [PATCH 2/5] arm64, thunder: Add initial dts for Cavium Thunder SoC

From: [email-masked] (Robert Richter)
Date: Tue, 5 Aug 2014 10:47:17 +0200

On 30.07.14 18:48:03, Mark Rutland wrote:
> > >> +             uaa0: serial at 87e024000000 {
> > >> +                     compatible = "arm,pl011", "arm,primecell";
> > >> +                     reg = <0x87e0 0x24000000 0x0 0x1000>;
> > >> +                     interrupts = <1 21 4>;
> > >> +                     clocks = <&refclk50mhz>;
> > >> +                     clock-names = "apb_pclk";
> > >
> > > Is this actually the apb_pclk, or is the the uartclk? I assume it's the
> > > latter.
> > 
> > Shouldn't new bindings have both clocks here? A single clock was a
> > mistake I think (mine in fact).
> 
> I don't think we fixed it up in the end. It made drivers look a bit messy and
> it dropped off my priority queue.

On 31.07.14 10:22:19, Rob Herring wrote:
> On Thu, Jul 31, 2014 at 7:34 AM, Robert Richter <[email-masked]> wrote:
> > On 30.07.14 11:37:38, Rob Herring wrote:
> >> On Wed, Jul 30, 2014 at 10:46 AM, Mark Rutland <[email-masked]> wrote:
> >> > On Wed, Jul 30, 2014 at 04:06:31PM +0100, Robert Richter wrote:
> >> >> From: Radha Mohan Chintakuntla <[email-masked]>
> >> >> +             uaa0: serial at 87e024000000 {
> >> >> +                     compatible = "arm,pl011", "arm,primecell";
> >> >> +                     reg = <0x87e0 0x24000000 0x0 0x1000>;
> >> >> +                     interrupts = <1 21 4>;
> >> >> +                     clocks = <&refclk50mhz>;
> >> >> +                     clock-names = "apb_pclk";
> >> >
> >> > Is this actually the apb_pclk, or is the the uartclk? I assume it's the
> >> > latter.
> >>
> >> Shouldn't new bindings have both clocks here? A single clock was a
> >> mistake I think (mine in fact).
> >
> > Do you mean
> >                         clock-names = "uartclk", "apb_pclk";
> > here?
> 
> Yes, but Mark said this change never happened so maybe it is fine. In
> any case, follow the pl011 binding documentation.

Right:

Documentation/devicetree/bindings/arm/primecell.txt:
- clocks : From common clock binding. First clock is phandle to clock for apb
        pclk. Additional clocks are optional and specific to those peripherals.
- clock-names : From common clock binding. Shall be "apb_pclk" for first clock.

Documentation/devicetree/bindings/serial/pl011.txt
- clocks:  When present, must refer to exactly one clock named
           "apb_pclk"

There is no binding documentation at all for "uartclk".

It seems we should should leave clock-names = "apb_pclk" as it is.

Mark, Rob, would this be ok?

Thanks,

-Robert